Bug#934858: Please port viewvc to Python 3 or get it removed from Sid/Bullseye

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#934858: Please port viewvc to Python 3 or get it removed from Sid/Bullseye

Thomas Goirand-3
Source: viewvc
Version: 1.1.26
Severity: serious

Hi,

Viewvc seems to be Python 2 only, and having a quick look, it needs a lot of
work to make it work under Python 3.

Since we want to get Python 2 removed from Bullseye, you have no choice but to
either port it to Python3, convince upstream to do so, or drop the package from
Bullseye (and continue to maintain it for the next 5 years in Buster).

Your thoughts?

Cheers,

Thomas Goirand (zigo)